Artboard
FileMaker Files

Check file consistency

Requires FileMaker Server 20.3 or later. Starts an async consistency check. Returns a processId to track progress. Accepts a single file or an array of files for batch processing.

POST
/otto/api/fm-file/check-consistency

Request Body

application/json

POST /otto/api/fm-file/check-consistency Request body

encryptionKey?string

Optional encryption key

sourceFilePath*string

File path to check consistency of in the FileMaker format

Response Body

application/json

application/json

curl -X POST "https://your.server.net/otto/api/fm-file/check-consistency" \  -H "Content-Type: application/json" \  -d '{    "sourceFilePath": "string"  }'
{
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ],
  "response": {}
}
{
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ],
  "response": {}
}